<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <!-- Below a 10 min job. If you want it look nice you might want to add CSS -->
<xsl:template match="text">
    <html>
        <head><title>A transformation exercise with XSLT</title></head>
        <body>
            <h2>A Chinese Poem by <xsl:value-of select="poet"/> and three English translations</h2>
            <xsl:apply-templates select="poem"/>
        </body>
    </html>
</xsl:template>
    
    <xsl:template match="poem">
        <div>
            <h3><xsl:value-of select="title"/></h3>
            <p>
                <xsl:for-each select="verse/line">
                    <xsl:value-of select="."/><br/>
                </xsl:for-each>
            </p>
            <xsl:if test="translator">
                <p>Translated by: <xsl:value-of select="translator"/></p>
            </xsl:if>
        </div>
    </xsl:template>
    
</xsl:stylesheet>
