<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
    
<xsl:template match="/TEI">
    <html>
        <head><title>A transformation exercise with XSLT</title></head>
        <body>
            <h2>A Chinese Poem by <xsl:value-of select="text/body/head/persName/name"/> and three English translations</h2>
            <xsl:apply-templates select="text/body/div"/> 
        </body>
    </html>
</xsl:template>
    
  <xsl:template match="div">
        <div>
            <h3><xsl:value-of select="head"/></h3>
            <p>
                <xsl:for-each select="lg/l">
                    <xsl:value-of select="."/><br/>
                </xsl:for-each>
            </p>
            <xsl:if test="byline/docAuthor">
                <p>Translated by: <xsl:value-of select="byline/docAuthor"/></p>
            </xsl:if>
        </div>
        </xsl:template>  
    
</xsl:stylesheet>
